cURL
curl --request POST \ --url https://api.cal.com/v2/calendars/ics-feed/save \ --header 'Authorization: <authorization>' \ --header 'Content-Type: application/json' \ --data ' { "urls": [ "https://cal.com/ics/feed.ics", "http://cal.com/ics/feed.ics" ], "readOnly": false } '
{ "status": "success", "data": { "id": 1234567890, "type": "ics-feed_calendar", "userId": 1234567890, "teamId": 1234567890, "appId": "ics-feed", "invalid": false } }
value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token
Bearer <token>
<token>
An array of ICS URLs
[ "https://cal.com/ics/feed.ics", "http://cal.com/ics/feed.ics"]
Whether to allowing writing to the calendar or not
false
success
error
"success"
Show child attributes
Was this page helpful?